忍者ブログ
忘れっぽい開発者の備忘録。基本的に自分用メモです。
2017.08.21,Mon
×

[PR]上記の広告は3ヶ月以上新規記事投稿のないブログに表示されています。新しい記事を書く事で広告が消えます。

2012.08.28,Tue
Phongap2.0のインストール方法はこちら↓
http://docs.phonegap.com/en/2.0.0/guide_getting-started_ios_index.md.html#Getting%20Started%20with%20iOS

※既にインストール済みのエラーですので、インストール方法は公式サイト見てください。


◆Phonegap2.0をiOSでインストールし、実行しようとするとエラーが発生する
phonegap2.0から、公式の手順に添ってコマンドを打つとサンプルのプロジェクトを作ってくれるのです。
これはすごい!と思ってテストプロジェクト作ったはいいんですが、Buildでエラー発生。

Missing dependency target "CordovaLib (from CordovaLib.xcodeproj)"
error: /VERSION: No such file or directory

赤文字の方を頑張って原因探してたんですが、結局1行目をなんとかしてあげたら実行出来るようになったのでメモ。


◆対処法
1)Xcode->Preferences->Locations->Source Treesをクリック
2)「+」ボタンを押下する
3)下記の通りに入力する

名称 内容
Setting Name CORDOVALIB
Display Name CORDOVALIB
Path /Users/User/Documents/CordovaLib
(このPathは例です。Cordova-2.0.0.pkgをインストールした
場所を記述してください)


以上です。これで上のエラー文はなくなりました。
が、他の警告メッセージが3つほど出てきましたが、普通に実行出来るので今のとこ無視無視。
一応、他に試した方法も乗っけておきます。


◆試してみた方法
1)<project name>/www/config.xmlを開く
2)xmlファイルの下部にあるvalueを修正する。

<preference name="phonegap-version" value="1.9.0" />
               ↓
<preference name="phonegap-version" value="2.0.0" />

全く何も変わらなかったので、この辺の記述はどうでもいいみたいです。
PR
 HOME 
カレンダー
07 2017/08 09
S M T W T F S
1 2 3 4 5
6 7 8 9 10 11 12
13 14 15 16 17 18 19
20 21 22 23 24 25 26
27 28 29 30 31
ブログ内検索
Template by mavericyard*
Powered by "Samurai Factory"
忍者ブログ [PR]